#include"finale.h"

void init(int c, int t){
    //在这里实现初始化逻辑

}

int find_node(int n, std::vector<int> u, std::vector<int> v){
    //在这里实现你的算法
    // 示例：查找根节点到 x 的距离
    //int distance = query_d(x);
    int ans = 1;
    return ans;
}